package salesman_2;

import java.awt.Graphics;

import javax.swing.JPanel;

public class MarketPanel extends JPanel {

    //kolekcije trzista i proizvodjaca
    Market[] markets;
    Salesman[] salesmen;
    
    public MarketPanel(int w, int h) {
	setSize(w,h);
	//kreiramo nekoliko marketa i nekoliko trgovaca
	markets=new Market[2];
	markets[0]=new Market(0,h/2,100,50,400, 390);
	markets[1]=new Market(w-150,h/3, 80,60, 200, 50);
	
	salesmen=new Salesman[30];
	for(int i=0; i<salesmen.length; i++)
	    salesmen[i]=new Salesman(this);
    }
    
    Market getMarket(Salesman s){
	//trazimo trziste za datu lokaciju trgovca
	for(Market m:markets){
	    if(m.contains(s.x,s.y))
		return m;
	}
	return null;
    }
    
    @Override
    public void paint(Graphics g) {
        super.paint(g);
        
        for(Market m:markets){
           m.drawSelf(g);
        }
        
        for(Salesman s: salesmen){
            s.drawSelf(g);
        }
    }
    
}
